using System;

internal sealed class Delegate684 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate684 delegate684_1)
	{
		delegate684_1(object_0);
	}

	public extern Delegate684(object object_0, IntPtr intptr_0);

	static Delegate684()
	{
		Class10.smethod_13(typeof(Delegate684).TypeHandle);
	}

	internal static Delegate684 delegate684_0;
}
